import re

def convert_size(size_str):
    size, unit = re.match(r'([0-9.]+)([KMG]?)', size_str).groups()
    size = float(size)
    if unit == 'K':
        size *= 1024
    elif unit == 'M':
        size *= 1024 * 1024
    elif unit == 'G':
        size *= 1024 * 1024 * 1024
    return size

with open('risultatodu.txt', 'r') as file:
    lines = file.readlines()

lines.sort(key=lambda line: convert_size(line.split()[0]), reverse=True)

for line in lines:
    print(line.strip())
