import os

def split_file(input_filename, output_directory, num_parts):
    with open(input_filename, 'r', encoding='ISO-8859-1') as input_file:
        # Leggi tutte le righe dal file
        lines = input_file.readlines()

    # Calcola il numero di righe per ciascun file
    lines_per_part = len(lines) // num_parts

    # Aggiungi le righe iniziali una sola volta
    header_lines = [
        "# Format: (date is epoch seconds)\n",
        "# hostname [username password]\n",
        "#         group date high\n",
        "paganini.bofh.team\n"
    ]

    # Crea la directory di output se non esiste
    os.makedirs(output_directory, exist_ok=True)

    # Scrivi i file suddivisi con le righe iniziali e una tabulazione aggiunta a ogni riga
    for i in range(num_parts):
        start_index = i * lines_per_part
        end_index = start_index + lines_per_part

        output_filename = os.path.join(output_directory, f'{i + 1}.conf')
        with open(output_filename, 'w') as output_file:
            # Scrivi le righe iniziali una sola volta
            output_file.writelines(header_lines)

            # Scrivi le righe del file originale con una tabulazione aggiunta a ogni riga
            for line in lines[start_index:end_index]:
                output_file.write('\t' + line)

if __name__ == "__main__":
    input_filename = 'news.giganews.com-active-filtrato'  # Sostituisci con il tuo percorso
    output_directory = './'  # Sostituisci con il tuo percorso
    num_parts = 50

    split_file(input_filename, output_directory, num_parts)
