#!/usr/bin/perl

use strict;
use warnings;
use Term::ANSIColor;

# Inizializza il contatore delle linee
my $linee_con_zero_totali = 0;
my $colore;

# Itera attraverso i numeri da 1 a 100
for my $numero (1..200) {
    my $nome_file = "./CONF/${numero}.conf";
    my $nome_file_pid = "./CONF/${numero}.conf.pid";

    # Verifica la presenza del file .pid
    my $pid_presente = -e $nome_file_pid ? "" : "  PID ASSENTE";

    # Apri il file in lettura
    open my $file, '<', $nome_file or die "Impossibile aprire il file $nome_file: $!";

    # Salta le prime quattro righe (intestazione)
    for (1..4) {
        <$file>;
    }

    # Inizializza il contatore delle linee per il file corrente
    my $linee_con_zero = 0;

    # Leggi il file linea per linea
    while (my $linea = <$file>) {
        # Divide la linea in tre campi
        my ($primo, $secondo, $terzo) = split ' ', $linea;

        # Controlla se il secondo e il terzo parametro sono entrambi 0
        if ($secondo == 0 && $terzo == 0) {
            # Incrementa il contatore per il file corrente
            $linee_con_zero++;
        }
    }

    # Chiudi il file corrente
    close $file;

    # Aggiungi il contatore del file corrente al totale
    $linee_con_zero_totali += $linee_con_zero;

    # Determina il colore in base al valore dopo i due punti
    if ($linee_con_zero == 0) {
        #print color('green');
	$colore = color('green');
    } else {
        #print color('red');
	$colore = color('red');
    }

    # Stampa il risultato per il file corrente
    print "$nome_file: $linee_con_zero" . $colore . "$pid_presente\n" . color('reset');
}

# Stampa il risultato totale
print "Numero totale di linee con secondo e terzo parametro 0 in tutti i file: $linee_con_zero_totali\n";
